Pimagizer: työkalu kuvien koon muuttamiseen

pimagoija on Pythonissa ja GTK + 3: ssa kirjoitettu ohjelma, joka yrittää olla kevyt työkalu kuvien koon muuttamiseksi. 

Tämä on Victor Fernándezin panos, joten hänestä tulee yksi viikoittaisen kilpailumme voittajista: «Jaa mitä tiedät Linuxista«. Onnittelut Victor!

Käyttöliittymä on suunniteltu yksinkertaiseksi ja helppokäyttöiseksi. Lisäksi sen avulla voit muuttaa kuvan kokoa suhteellisesti, jolloin voit syöttää haluamasi korkeuden tai leveyden ja toinen arvo säätyy automaattisesti. Se käyttää Python PIL -kirjastoa (Python Image Library), joka on läsnä monissa distroissa.

Juuri nyt, versio 0.2 on tulossa ulos, mikä lisää uusia ominaisuuksia, kuten kuvan korvaamisen sallimisen tai kokopainikkeiden parannuksia. Myös kansion valinnan kaltaiset virheet on korjattu. Uusissa versioissa lisätään uusia ominaisuuksia, kuten erätoimintojen salliminen. Tällä hetkellä se on saatavana englanniksi, espanjaksi, kiinaksi ja osittain venäjäksi ja ranskaksi.

Se voi olla erittäin hyödyllinen, kun lähetät sisältöä verkkosivustoille: joskus raskaiden kuvien lataaminen vie kauan, varsinkin jos Internet-yhteytemme ei ole paras. Tämä mahdollistaa sen koon pienentämisen huomattavasti.

Asennus

Ubuntussa on vakaa PPA:

sudo add-apt-repository ppa: vfrico / vakaa
sudo apt-get update
sudo apt-get install pimagizer

Tai käyttämällä epävakaata arkistoa: ppa: vitriini / muuttunut

Muut distrot: keskeneräinen työ, python-kirjastojen ongelmat.


Artikkelin sisältö noudattaa periaatteita toimituksellinen etiikka. Ilmoita virheestä napsauttamalla täällä.

14 kommenttia, jätä omasi

Jätä kommentti

Sähköpostiosoitettasi ei julkaista.

*

*

  1. Vastuussa tiedoista: Miguel Ángel Gatón
  2. Tietojen tarkoitus: Roskapostin hallinta, kommenttien hallinta.
  3. Laillistaminen: Suostumuksesi
  4. Tietojen välittäminen: Tietoja ei luovuteta kolmansille osapuolille muutoin kuin lain nojalla.
  5. Tietojen varastointi: Occentus Networks (EU) isännöi tietokantaa
  6. Oikeudet: Voit milloin tahansa rajoittaa, palauttaa ja poistaa tietojasi.

  1.   Vaihda käyttöjärjestelmää dijo

    Asenna kehitystiedosto tällä ppa: vfrico / changed

  2.   Saaravik dijo

    Voisiko se toimia useamman kuin yhden kuvan kanssa? Eli muuttaa kuvaryhmän kokoa?

  3.   Vaihda käyttöjärjestelmää dijo

    Olen ladannut paketteja ladattavaksi sourceforge, jonka linkit olen myös sijoittanut tänne: http://www.cambiadeso.es/proyectos/pimagizer/

    Siellä on linkkejä Fedora (.rpm) ja Debian (.deb). Arch on matkalla, ja toivon, ettei se kestä kauan 🙂

  4.   Eduard0 dijo

    Oletan, että joillakin meistä on ongelma, mikä Ubuntun versio on valittava, kun määritetään PPA arkistoissa, jos käytämme Debiania.

  5.   Käytetään Linuxia dijo

    Se voi olla myös ...

  6.   pzero dijo

    Helpompi, ilman riippuvuutta Ubuntun henkilökohtaisista arkistoista (joita ei koskaan tiedetä, toimivatko ne muissa jakeluissa) yksinkertaisella imagemagick-muunnoksella

  7.   Helena_ryuu dijo

    näyttää hyvältä, toivottavasti se on saatavilla Archissa

  8.   Käytetään Linuxia dijo

    Voisiko olla, että käytät vanhempaa Ubuntun versiota? Jos käytät Quantalia, sen pitäisi toimia
    Kippis! Paul.

  9.   Vaihda käyttöjärjestelmää dijo

    Kuten Pablo sanoo johtuvan siitä, ettet käytä tuettua Ubuntun versiota: Natty ei ole tuettu, koska julkaisun jälkeen on ollut 18 kuukautta tukea ja niitä on 23. Käynnistyslevy ei myöskään anna minun luoda paketteja tuetuille versioille mikä ei johdu siitä, etten halua ...
    Anteeksi
    Terveisiä, Victor

  10.   imeä dijo

    Vaikuttaa siltä, ​​että ohjeet sen asentamiseen eivät ole oikein.

    Se ei hyväksy minua asentamasta:

    W: Ei saada http://ppa.launchpad.net/vfrico/stable/ubuntu/dists/natty/main/source/Sources 404 ei löydy

    W: Ei saada http://ppa.launchpad.net/vfrico/stable/ubuntu/dists/natty/main/binary-i386/Packages 404 ei löydy

    E: Joitakin hakemistotiedostoja ei voitu ladata. Ne on jätetty huomiotta tai niiden sijaan on käytetty vanhoja
    carloseugenio @ carmela: ~ $ sudo apt-get install pimagizer
    Luetaan pakettiluetteloa ... Valmis
    Luodaan riippuvuuspuu
    Tilatietojen lukeminen ... Valmis
    E: Pimagizer-pakettia ei löytynyt

  11.   Sudaca Renegau dijo

    Testaus…
    .9
    Gthumbin avulla voit myös: työkaluvalikon / muuttaa kuvien kokoa.

    Kiitos

  12.   pzero dijo

    gthumb on vain kuvakuvan GUI

  13.   avain _punainen dijo

    Sain tämän, minulla on ubuntiu 12.04

    Seuraavilla paketeilla on täyttämättömät riippuvuudet:
    pimagizer: Riippuu: gir1.2-gtk-3.0 (> = 3.6), mutta 3.4.2-0ubuntu0.8 asennetaan
    E: Ongelmia ei voitu korjata, olet säilyttänyt rikkinäiset paketit.

  14.   Horusssit dijo

    Paljon kiitoksia, erinomainen työkalu!

bool (tosi)